## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  check

%global srcname ebranch
%global _description %{expand:
A tool for branching Fedora packages for EPEL.

It allows:
- calculating the transitive closure of missing build dependencies
- calculating the chain-build ordering
- filing branch requests for the missing build dependencies}

Name:           python-%{srcname}
Version:        0.0.3
Release:        %autorelease
Summary:        Tool for branching Fedora packages for EPEL

License:        GPL-2.0-or-later
URL:            https://pagure.io/epel/ebranch
Source:         %pypi_source
Patch:          https://pagure.io/epel/ebranch/c/64f83714a66912e6d4ab303de9f9b56f95126f1a.patch#/%{srcname}-remove-shebangs.diff
Patch1:         https://pagure.io/epel/ebranch/c/6e3781dfb724b09888abbfbccd903a8a70525bb1.patch#/%{srcname}-add-setup_py.diff
Patch2:         https://pagure.io/epel/ebranch/c/28aa736e60d5bfe640b8e1634ead727ba9139748.patch#/%{srcname}-fix-types.diff

BuildArch:      noarch

%description %{_description}


%package -n %{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(requests)
%endif
Requires:       python-bugzilla-cli
Requires:       rpmdistro-repoquery >= 0^20230201

%description -n %{srcname} %{_description}


%prep
%autosetup -p 1 -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%if %{with check}
%check
%pytest
%endif


%files -n %{srcname}
%license COPYING.md
%doc README.md
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/
%{_bindir}/%{srcname}


%changelog
* Thu Mar 16 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.0.3-3
- Add missing dependency on python-bugzilla-cli

* Thu Feb 02 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.0.3-2
- Switch to old packaging macros for EPEL 8

* Thu Feb 02 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.0.3-1
- Initial Fedora package
